<?php

namespace Drupal\Tests\diba_integration\Functional;

/**
 * Tests the presence of maqueta.diba.cat in the HTML header.
 *
 * @group diba_integration
 */
class CogoTest extends DibaIntegrationTestBase {

  /**
   * Tests that cookie warn js and css appears in the HTML header.
   */
  public function testCogoHeaderContainsMaquetaDibaCat() {
    // Visit the homepage or a specific page where the header is expected.
    $this->drupalGet('<front>');

    // Check if the HTML header contains the string cookie-warn script and styles.
    $this->assertSession()->responseContains('cookie-warn.js');
    $this->assertSession()->responseContains('cookiewarn.css');
  }

  /**
   * Tests that GTM code appears in the HTML body and header.
   */
  public function testGtmCodePresence()
  {
    // Set the GTM value.
    $gtm_value = 'GTM-123456';
    $this->config('diba_integration_cogo.settings')
      ->set('gtm', $gtm_value)
      ->save();

    // Visit the homepage or a specific page where the GTM code is expected.
    $this->drupalGet('<front>');

    // Check if the HTML header contains the GTM code.
    // $this->assertSession()->responseContains($gtm_value);
  }

}
