<?php

namespace Drupal\Tests\diba_integration\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Base class for diba_integration functional tests.
 */
abstract class DibaIntegrationTestBase extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'user',
    'field',
    'taxonomy',
    'diba_integration',
    'diba_integration_cogo',
    'diba_integration_vus',
  ];

  /**
   * {@inheritdoc}
   */
  protected $strictConfigSchema = FALSE;

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * A user with permission to access the settings pages.
   *
   * @var \Drupal\user\UserInterface
   */
  protected $adminUser;

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    // Create a user with permission to administer site configuration.
    $this->adminUser = $this->drupalCreateUser([
      'administer site configuration',
      'administer vus',
    ]);
    $this->drupalLogin($this->adminUser);
  }

}
