<?php

namespace Drupal\Tests\diba_integration\Functional;

/**
 * Tests the settings pages.
 *
 * @group diba_integration
 */
class SettingsPagesTest extends DibaIntegrationTestBase {

  /**
   * Tests access to the settings page of the diba_integration_cogo submodule.
   */
  public function testDibaIntegrationCogoSettingsPage() {
    $this->drupalGet('/admin/config/system/diba_integration_cogo');
    $this->assertSession()->statusCodeEquals(200);

    // Submit the form without any changes.
    $this->submitForm([], 'Save configuration');
    $this->assertSession()->pageTextContains('The configuration options have been saved.');
  }

  /**
   * Tests access to the settings page of the diba_integration_vus submodule.
   */
  public function testDibaIntegrationVusSettingsPage() {
    $this->drupalGet('/admin/config/people/vus');
    $this->assertSession()->statusCodeEquals(200);

    // Submit the form without any changes.
    $this->submitForm([], 'Save configuration');
    $this->assertSession()->pageTextContains('The configuration options have been saved.');
  }

}
