<?php

namespace Drupal\Tests\diba_integration\Kernel;

use Drupal\KernelTests\KernelTestBase;

/**
 * Tests the installation of the diba_integration module.
 *
 * @group diba_integration
 */
class ModuleInstallationTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['diba_integration'];

  /**
   * Tests that diba_integration module and submodules install without errors.
   */
  public function testModuleInstallation() {
    // Install the diba_integration module.
    $this->container->get('module_installer')->install(['diba_integration']);
    $this->assertTrue(\Drupal::moduleHandler()->moduleExists('diba_integration'), 'The diba_integration module is installed.');

    // Add additional submodules to test their installation.
    $submodules = ['diba_integration_cogo', 'diba_integration_vus'];
    foreach ($submodules as $submodule) {
      $this->container->get('module_installer')->install([$submodule]);
      $this->assertTrue(\Drupal::moduleHandler()->moduleExists($submodule), "The {$submodule} module is installed.");
    }
  }

}
